The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache

Discussion in 'EasyApache' started by nitaish, Nov 21, 2007.

  1. nitaish

    nitaish Well-Known Member
    PartnerNOC

    Joined:
    Jan 6, 2006
    Messages:
    123
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Mulund, India, India
    Hello,

    Is it the right time to update apache using EasyApache or should I wait? Also if I upgrade to PHP 5.x and httpd 2.2.x using EasyApache, will it give any problem to the existing websites?
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    EasyApache is relatively stable at this point, with only a few minor issues. If you're paranoid, just wait until EA3 reaches STABLE and then use it.

    As for PHP 5 - yes, this can cause issues with some existing websites. While most PHP 4 code is supported in PHP 5, some older scripts that haven't been updated in a couple of years have been reported here on the forums as experiencing issues. Additional, some clients' custom scripts may not work well with PHP 5.

    You may wish to consider running PHP 4 and 5 concurrently so custom scripts that will not run in PHP 5 can be renamed with a .php4 extension until they can be updated to PHP 5.

    Note that PHP 4 reaches EOL on 8/8/08, so it's best to have your clients off PHP 4 before that date.
     
Loading...

Share This Page